Skip to content

Stop watching a code

DELETE
/watchlists/{code}
curl --request DELETE \
--url https://api.firmsapi.com/v1/watchlists/E430 \
--header 'x-api-key: <x-api-key>'

Idempotent: removed is false if you were not watching the code. Does not count toward your monthly calls.

code
required
Code

4-character FIRMS code.

string
/^[A-Za-z0-9]{4}$/

4-character FIRMS code.

OK

Media type application/json
WatchRemovedResponse
object
data
required
WatchRemoved
object
code
required
Code
string
removed
required
Removed
boolean
meta
required
Meta
object
data_as_of
required
Any of:
string
source
required
Any of:
string
mode
required
Any of:
string
Allowed values: live test
build_id
Any of:
string
request_id
Any of:
string

Example

{
"meta": {
"mode": "live"
}
}

Invalid request (not counted).

Media type application/json
ErrorResponse
object
error
required
ErrorBody
object
code
required
Code

Stable, machine-readable error code.

string
message
required
Message
string
links
required
Links

docs always; billing, buy_pack, upgrade when they help.

object
key
additional properties
string
details
Details
meta
Any of:
Meta
object
data_as_of
required
Any of:
string
source
required
Any of:
string
mode
required
Any of:
string
Allowed values: live test
build_id
Any of:
string
request_id
Any of:
string

Example

{
"error": {
"code": "quota_exceeded"
},
"meta": {
"mode": "live"
}
}

Missing, invalid or revoked API key.

Media type application/json
ErrorResponse
object
error
required
ErrorBody
object
code
required
Code

Stable, machine-readable error code.

string
message
required
Message
string
links
required
Links

docs always; billing, buy_pack, upgrade when they help.

object
key
additional properties
string
details
Details
meta
Any of:
Meta
object
data_as_of
required
Any of:
string
source
required
Any of:
string
mode
required
Any of:
string
Allowed values: live test
build_id
Any of:
string
request_id
Any of:
string

Example

{
"error": {
"code": "quota_exceeded"
},
"meta": {
"mode": "live"
}
}

Your plan does not include this endpoint (not counted).

Media type application/json
ErrorResponse
object
error
required
ErrorBody
object
code
required
Code

Stable, machine-readable error code.

string
message
required
Message
string
links
required
Links

docs always; billing, buy_pack, upgrade when they help.

object
key
additional properties
string
details
Details
meta
Any of:
Meta
object
data_as_of
required
Any of:
string
source
required
Any of:
string
mode
required
Any of:
string
Allowed values: live test
build_id
Any of:
string
request_id
Any of:
string

Example

{
"error": {
"code": "quota_exceeded"
},
"meta": {
"mode": "live"
}
}